<ul class='icon-selector' {{did-insert this.setup}} {{did-update this.update @icons @value}} ...attributes>
  {{#each this.list as |item|}}
    <li class='{{if item.isSelected "selected"}} {{if item.isVisible "" "d-none"}} icon-element' data-id={{item.icon.id}}>
      <button type='button' class='btn-icon' {{on 'click' (fn this.toggle item)}} data-id={{item.icon.id}}>
        <div class='image'>
          <img src='{{item.icon.image.value}}/md' class='icon-image' alt={{item.icon.localName}} />
        </div>

        <div class='text icon-name'>
          {{item.icon.localName}}
        </div>

        <FaIcon @icon='check' />
      </button>
    </li>
  {{/each}}

  {{#each this.emptyList as |item|}}
    <li class='icon-empty-element mx-auto' data-empty-index={{item.index}}>
    </li>
  {{/each}}
</ul>